Name:		nagios-snmp-plugins
Version:	2.1.0
Release:	%mkrel 3
Summary:	Plugins for Nagios to monitor remote disk and processes via SNMP
License:	GPL
Group:		Networking/Other
URL:		http://nagios.manubulon.com/
Source0:	https://github.com/dnsmichi/manubulon-snmp/archive/manubulon-snmp-%{version}.tar.gz
Source4:	check_snmp_boostedge.cfg
Source5:	check_snmp_cpfw.cfg
Source6:	check_snmp_css.cfg
Source7:	check_snmp_css_main.cfg
Source8:	check_snmp_env.cfg
Source9:	check_snmp_int.cfg
Source10:	check_snmp_linkproof_nhr.cfg
Source11:	check_snmp_load.cfg
Source12:	check_snmp_mem.cfg
Source13:	check_snmp_nsbox.cfg
Source14:	check_snmp_process.cfg
Source15:	check_snmp_storage.cfg
Source16:	check_snmp_vrrp.cfg
Source17:	check_snmp_win.cfg
Requires:	nagios
BuildArch:  noarch

%description
These plugins allow you to monitor disk space, processes and a lot of other 
stuff on a remote machine via SNMP.

%package -n	nagios-check_snmp_boostedge
Summary:	The check_snmp_boostedge plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_boostedge
SNMP Boostedge service monitor for Nagios.

%package -n	nagios-check_snmp_cpfw
Summary:	The check_snmp_cpfw plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_cpfw
SNMP Checkpoint FW-1 Monitor for Nagios.

%package -n	nagios-check_snmp_css_main
Summary:	The check_snmp_css_main plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_css_main
SNMP Cisco CSS monitor MAIN script for Nagios.

%package -n	nagios-check_snmp_css
Summary:	The check_snmp_css plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_css
SNMP Cisco CSS monitor for Nagios.

%package -n	nagios-check_snmp_env
Summary:	The check_snmp_env plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_env
SNMP environmental Monitor for Nagios.

%package -n	nagios-check_snmp_int
Summary:	The check_snmp_int plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_int
SNMP Network Interface Monitor for Nagios.

%package -n	nagios-check_snmp_linkproof_nhr
Summary:	The check_snmp_linkproof_nhr plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_linkproof_nhr
SNMP Radware Linkproof NHR monitor for Nagios.

%package -n	nagios-check_snmp_load
Summary:	The check_snmp_load plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_load
SNMP Load & CPU Monitor for Nagios.

%package -n	nagios-check_snmp_mem
Summary:	The check_snmp_mem plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_mem
SNMP Memory Monitor for Nagios.

%package -n	nagios-check_snmp_nsbox
Summary:	The check_snmp_nsbox plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_nsbox
SNMP NetSecureOne Netbox monitor for Nagios.

%package -n	nagios-check_snmp_process
Summary:	The check_snmp_process plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_process
SNMP Process Monitor for Nagios.

%package -n	nagios-check_snmp_storage
Summary:	The check_snmp_storage plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_storage
SNMP Disk Monitor for Nagios.

%package -n	nagios-check_snmp_win
Summary:	The check_snmp_win plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_win
SNMP Windows Monitor for Nagios.

%package -n	nagios-check_snmp_vrrp
Summary:	The check_snmp_vrrp plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_vrrp
SNMP VRRP Monitor for Nagios.

%prep
%setup -q -n manubulon-snmp-%{version}

perl -pi \
    -e 's|^use lib .*|use lib "%{_libdir}/nagios/plugins";|g' *.pl

%build

%install

# scripts
install -d %{buildroot}%{_libdir}/nagios/plugins
install -m0755 plugins/*.pl %{buildroot}%{_libdir}/nagios/plugins/

# config
install -d %{buildroot}%{_sysconfdir}/nagios/plugins.d
install -m0644 %{SOURCE4} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_boostedge.cfg
install -m0644 %{SOURCE5} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_cpfw.cfg
install -m0644 %{SOURCE6} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_css_main.cfg
install -m0644 %{SOURCE7} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_css.cfg
install -m0644 %{SOURCE8} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_env.cfg
install -m0644 %{SOURCE9} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_int.cfg
install -m0644 %{SOURCE10} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_linkproof_nhr.cfg
install -m0644 %{SOURCE11} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_load.cfg
install -m0644 %{SOURCE12} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_mem.cfg
install -m0644 %{SOURCE13} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_nsbox.cfg
install -m0644 %{SOURCE14} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_process.cfg
install -m0644 %{SOURCE15} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_storage.cfg
install -m0644 %{SOURCE16} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_win.cfg
install -m0644 %{SOURCE17} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_vrrp.cfg

perl -pi -e 's|\@libexecdir\@|%{_libdir}/nagios/plugins|g' \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/*.cfg

%files
%doc README.md doc/*

%files -n nagios-check_snmp_boostedge
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_boostedge.cfg
%{_libdir}/nagios/plugins/check_snmp_boostedge.pl

%files -n nagios-check_snmp_cpfw
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_cpfw.cfg
%{_libdir}/nagios/plugins/check_snmp_cpfw.pl

%files -n nagios-check_snmp_css_main
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_css_main.cfg
%{_libdir}/nagios/plugins/check_snmp_css_main.pl

%files -n nagios-check_snmp_css
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_css.cfg
%{_libdir}/nagios/plugins/check_snmp_css.pl

%files -n nagios-check_snmp_env
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_env.cfg
%{_libdir}/nagios/plugins/check_snmp_env.pl

%files -n nagios-check_snmp_int
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_int.cfg
%{_libdir}/nagios/plugins/check_snmp_int.pl

%files -n nagios-check_snmp_linkproof_nhr
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_linkproof_nhr.cfg
%{_libdir}/nagios/plugins/check_snmp_linkproof_nhr.pl

%files -n nagios-check_snmp_load
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_load.cfg
%{_libdir}/nagios/plugins/check_snmp_load.pl

%files -n nagios-check_snmp_mem
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_mem.cfg
%{_libdir}/nagios/plugins/check_snmp_mem.pl

%files -n nagios-check_snmp_nsbox
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_nsbox.cfg
%{_libdir}/nagios/plugins/check_snmp_nsbox.pl


%files -n nagios-check_snmp_process
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_process.cfg
%{_libdir}/nagios/plugins/check_snmp_process.pl

%files -n nagios-check_snmp_storage
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_storage.cfg
%{_libdir}/nagios/plugins/check_snmp_storage.pl

%files -n nagios-check_snmp_win
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_win.cfg
%{_libdir}/nagios/plugins/check_snmp_win.pl

%files -n nagios-check_snmp_vrrp
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_vrrp.cfg
%{_libdir}/nagios/plugins/check_snmp_vrrp.pl



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.1.0-3.mga9
+ Revision: 1811268
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1522579
- Mageia 8 Mass Rebuild

* Sat Jan 26 2019 guillomovitch <guillomovitch> 2.1.0-1.mga7
+ Revision: 1360987
- new version 2.1.0

* Wed Sep 19 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1264655
- Mageia 7 Mass Rebuild

* Sun Dec 11 2016 guillomovitch <guillomovitch> 2.0.0-1.mga6
+ Revision: 1074281
- new version 2.0.0

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-15.mga6
+ Revision: 942976
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-14.mga5
+ Revision: 746040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-13.mga5
+ Revision: 682790
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-12.mga4
+ Revision: 508151
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 guillomovitch <guillomovitch> 1.1.1-10.mga3
+ Revision: 338610
- drop native plugins for unknown origin
- make the package noarch
- clean up spec file

* Tue Aug 28 2012 nanardon <nanardon> 1.1.1-9.mga3
+ Revision: 284655
- add patch2 (don't perform numeric comparison on textual value)
- remove not applied patch

* Thu Jul 28 2011 guillomovitch <guillomovitch> 1.1.1-8.mga2
+ Revision: 130100
- rebuild for latest net-snmp

* Thu Mar 03 2011 ennael <ennael> 1.1.1-7.mga1
+ Revision: 63117
- clean spec file
- imported package nagios-snmp-plugins


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-7mdv2011.0
+ Revision: 627810
- don't force the usage of automake1.7

* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 1.1.1-6mdv2011.0
+ Revision: 585068
- rebuild

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdv2010.0
+ Revision: 457693
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1.1-4mdv2010.0
+ Revision: 430149
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.1.1-3mdv2009.0
+ Revision: 253549
- rebuild

* Mon Jan 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-1mdv2008.1
+ Revision: 159004
- nagios-snmp-plugins.1.1.1 (perl code)
- nagios-snmp-plugins-1.2 (c code)

* Mon Jan 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-4mdv2008.1
+ Revision: 151740
- release bump
- splitmania!
- added some svn props

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 28 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-3mdv2008.0
+ Revision: 72472
- nagios-snmp-plugins-1.1

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-2mdv2008.0
+ Revision: 60205
- rebuilt against new net-snmp libs

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdv2008.0
+ Revision: 13825
- fix deps
- use the new /etc/nagios/plugins.d scandir


* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-3mdv2007.0
- added a gcc4 patch by misc (P0)

* Sun Apr 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-2mdk
- use the %%mkrel macro

* Sun May 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-1mdk
- initial cooker contrib
- used parts of the provided spec file

